<!-- nagavition-drawer component -->
<template>
  <v-card>

    <!-- tap in nagavition-drawer -->
    <v-tabs v-model="tab" color="primary" align-tabs="center">
      <v-tab value="one">Recent</v-tab>
      <v-tab value="two">Activity</v-tab>
      <v-tab value="three">Details</v-tab>
    </v-tabs>


    <v-card-text>
      <v-window v-model="tab">
        <!-- content in tap 1 -->
        <v-window-item value="one">
          <v-timeline side="end" align="start">
            <v-timeline-item dot-color="primary" size="small">
              <div class="d-flex">
                <p class="me-4">1 minutes ago</p>
              </div>

              <div class="d-flex">
                <v-img class="mr-2 rounded-lg" :width="60" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
                <v-img class="mr-2 rounded-lg" :width="50" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
                <v-img class="rounded-lg" :width="50" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
              </div>
              <div class="d-flex">
                <p class="me-4"> <v-icon icon="mdi-image" style="color: blueviolet;"></v-icon>Hello</p>
              </div>


            </v-timeline-item>

            <v-timeline-item size="small">
              <div class="d-flex">
                <p class="me-4">13.34</p>
              </div>

              <div class="d-flex">
                <v-img class="mr-2 rounded-lg" :width="60" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
                <v-img class="mr-2 rounded-lg" :width="50" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
                <v-img class="rounded-lg" :width="50" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
              </div>
              <div class="d-flex">
                <p class="me-4"> <v-icon icon="mdi-image" style="color: blueviolet;"></v-icon>Happy birthday</p>
              </div>

            </v-timeline-item>

            <v-timeline-item dot-color="teal-lighten-3" size="small">
              <div class="d-flex">
                <p class="me-4">10.03</p>
              </div>

              <div class="d-flex">
                <v-img class="mr-2 rounded-lg" :width="60" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
                <v-img class="mr-2 rounded-lg" :width="50" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
                <v-img class="rounded-lg" :width="50" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
              </div>
              <div class="d-flex">
                <p class="me-4"> <v-icon icon="mdi-image" style="color: blueviolet;"></v-icon>Hello, there</p>
              </div>
            </v-timeline-item>

            <v-timeline-item dot-color="teal-lighten-3" size="small">
              <div class="d-flex">
                <p class="me-4">05.42</p>
              </div>

              <div class="d-flex">
                <v-img class="mr-2 rounded-lg" :width="60" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
                <v-img class="mr-2 rounded-lg" :width="50" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
                <v-img class=" rounded-lg" :width="50" aspect-ratio="1/1" cover :src=timelineImage>
                </v-img>
              </div>
              <div class="d-flex">
                <p class="me-4"> <v-icon icon="mdi mdi-play-box" style="color: red;"></v-icon>Party time</p>
              </div>
            </v-timeline-item>

          </v-timeline>
        </v-window-item>

        <!-- content in tap 2 -->
        <v-window-item value="two">
          Activity
        </v-window-item>

        <!-- content in tap 3 -->
        <v-window-item value="three">
          Details
        </v-window-item>
      </v-window>
    </v-card-text>
  </v-card>
</template>

<script>

export default {
  data: () => ({
    tab: null,
    timelineImage: 'https://cdn.vuetifyjs.com/images/john.jpg'
  }),
}
</script>